import {
    GetQueryString
} from 'utils/util'
import {
    userLogin
} from '~/api/user'
// const Towxml = require('/towxml/main');
App({
    watch(method) {
        let obj = this.globalData
        // 这里监听 openId
        Object.defineProperty(obj, "openId", {
            configurable: true,
            enumerable: true,
            set: function (value) {
                console.log('zzeweqweqw', value);
                method(value) // 触发页面回调函数
            }
        })
    },
    async onLaunch(options) {
        wx.login({
            success(res) {
                if (res.code) {
                    console.log(res.code);
                    // 获取openid
                    userLogin({
                        code: res.code,
                        grade: null
                    }).then(res => {
                        console.log(res);
                    })
                }
            }
        })
        // 判断设备是否为 iPhone X
        this.checkIsIPhoneX()
        options.referrerInfo.extraData && (this.globalData.upgradeHide = options.referrerInfo.extraData.upgrade)
    },
    globalData: {
        isIPX: false, // 当前设备是否为 iPhone X
        isIOS: false, // 判断设备是否为苹果
        userInfo: null,
        statusBarHeight: wx.getSystemInfoSync()['statusBarHeight'],
        userGrade: '二年级',
        upgradeHide: true,
        openId: null
    },
    checkIsIPhoneX: function () {
        const self = this
        wx.getSystemInfo({
            success: function (res) {
                // 根据 model 进行判断
                console.log(res)
                console.log(res.system.search('iOS'))
                if (res.model.search('iPhone X') != -1) {
                    self.globalData.isIPX = true
                }
                if (res.system.search('iOS') != -1) {
                    self.globalData.isIOS = true
                }
            }
        })
    },
    // towxml: new Towxml()
})